Bug 849896 - python-zmq-2.2.0.1 is available
python-zmq-2.2.0.1 is available
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-zmq (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 03:48 EDT by Upstream Release Monitoring
Modified: 2013-01-11 19:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-25 23:49:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-08-21 03:48:42 EDT
Latest upstream release: 2.2.0.1
Current version in Fedora Rawhide: 2.2.0
URL: https://github.com/zeromq/pyzmq/downloads

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Ralph Bean 2012-12-03 11:33:18 EST
Chiming in that this update will be useful for Fedora Infrastructure and the fedmsg project.  The TCP_KEEPALIVE option that I think will fix some bugs we are seeing was added to python-zmq in commit 6a53412 and became available in v2.2.0.1.

https://github.com/zeromq/pyzmq/commit/6a534121f76aedd613a793eeed7a2c7fe9cf9b89

If I can do anything to help make this happen, please let me know.
Comment 2 Thomas Spura 2012-12-13 18:33:22 EST
(In reply to comment #1)
> If I can do anything to help make this happen, please let me know.

What problems did you have, when we moved to zeromq3 on el6?

It's perfectly fine to do that change for fc19, but I'm unsure, if we should do the same change on other releases too. I'd nevertheless prefer to update all releases to 2.2.0.1 and zeromq3...

rawhide already has 2.2.0.1 and I'll now switch to zeromq3 there too.
Comment 3 Thomas Spura 2012-12-13 18:40:56 EST
Ah, no rawhide also had BR zeromq3 already, so it's all set.

Let me know of your troubles with python-zmq BR on zeromq3, so we can avoid the same problems on other fedora releases.

Will do the 2.2.0.1 update on el6 now,
Comment 4 Fedora Update System 2012-12-13 19:21:01 EST
python-zmq-2.2.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-zmq-2.2.0.1-1.el6
Comment 5 Ralph Bean 2012-12-13 21:36:57 EST
Ah, I commented on the bodhi update and not here.  That was a mistake on my part:  https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13177/python-zmq-2.2.0-4.el6,zeromq3-3.2.0-0.3.20121009git1ef63bc.el6?_csrf_token=c509469764bee33af0852bbfcafcd4876c7fce71

The issue stemmed from php-zmq (built against zeromq2) and python-zmq (built against zeromq3) both being loaded by the same apache process.  The symptom I saw was an error message about "Socket operation on a non-socket" in application logs.

The error disappeared when I installed an updated version of php-zmq (now built against zeromq3).
Comment 6 Thomas Spura 2012-12-14 07:28:16 EST
It seems you are the owner of php-zmq, so we can handle that directly.

Please build updates for the other branches built against zeromq3 and let me know.
I'll do the same for python-zmq. I can then push out {php,python}-zmq directly in one update.
Comment 7 Fedora Update System 2012-12-14 09:16:41 EST
python-zmq-2.2.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-zmq-2.2.0.1-1.fc18
Comment 8 Fedora Update System 2012-12-14 09:22:08 EST
python-zmq-2.2.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-zmq-2.2.0.1-1.fc17
Comment 9 Fedora Update System 2012-12-14 17:32:34 EST
Package python-zmq-2.2.0.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-zmq-2.2.0.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13779/python-zmq-2.2.0.1-1.el6
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-12-25 23:49:50 EST
python-zmq-2.2.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-12-31 17:35:41 EST
python-zmq-2.2.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-01-11 19:29:32 EST
python-zmq-2.2.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.